Uploaded image for project: 'Hadoop HDFS'
  1. Hadoop HDFS
  2. HDFS-9532

Detailed exception info is lost in reportTo method of ErrorReportAction and ReportBadBlockAction

    Details

    • Hadoop Flags:
      Reviewed

      Description

      See code below

          try {
            bpNamenode.reportBadBlocks(locatedBlock);
          } catch (RemoteException re) {
            DataNode.LOG.info("reportBadBlock encountered RemoteException for "
                + "block:  " + block , re);
          } catch (IOException e) {
            throw new BPServiceActorActionException("Failed to report bad block "
                + block + " to namenode: ");
          }
        }
      

      When IOException e is thrown, the information of e is not reported back to caller.

        Attachments

          Activity

            People

            • Assignee:
              yzhangal Yongjun Zhang
              Reporter:
              yzhangal Yongjun Zhang
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: